Subject: Re: FVWM: xterm VT Fonts resize action

From: [email-masked] (Grant McDorman)
Date: Tue, 4 Nov 97 13:14 EST

> Hi,

> Sometime in the late 1900s it was said:

> PG> I am trying to introduce a small user group to the delights of fvwm
> PG> and several users have come back with a resizing problem.   We are using
> PG> Sun Sparc and Ultra-Sparcs with Solaris 2.5.1 and attempting to use
> PG> fvwm-2.0.43 instead of dtwm as manager.   Cntl+Mouse3 in a
> PG> /usr/openwin/bin
> PG> /xterm window gives a menu where you can reset the font for the current
> PG> xterm:

> [Chomp]

> PG> The "Unreadable" ( which is VERY SMALL ) behaves the same on dtwm but
> PG> fvwm, although returning to the default size and Font, is blank over the
> PG> "resized" width.
> PG> 
> PG> ____________________     ______      ____________________
> PG> |abcdef ghijk lmn  |     |:::: |     |abc                |  
> PG> |abcdef ghijk lmn  |     |:::: |     |abc                |
> PG> |abcdef ghijk lmn  |     |:::: |     |abc                |
> PG> |abcdef ghijk lmn  |  => -------  => |abc                |
> PG> |abcdef ghijk lmn  |                 |abc                |
> PG> |abcdef ghijk lmn  |                 |abc                |
> PG> |abcdef ghijk lmn  |                 |abc                |
> PG> |                  |                 |                   |
> PG> --------------------                 ---------------------

> [Chomp]

> PG> As I said, all the other fonts seem to behave ok except this very small
> PG> one.  Is this fvwm?  Is there a resource file option ( fontlist etc )
> PG> problem?

I tried this on Solaris 2.5.1 (SunOS 5.5.1) with 2.0.46, and had no problem.

It is unlikely to be a font problem; I am not sure, in fact, how the window
manager can have any effect on this. Does the affected (blank) area of the
xterm window refresh if you do an 'xrefresh'?

Grant McDorman <[email-masked]>
ISG Technologies, Inc.  http://www.isgtec.com
Mississauga, Ontario, Canada

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Patrick K." <[email-masked]>
Date: Tue, 4 Nov 1997 18:20:30 -0800 (PST)

Hi all,

> xterm window refresh if you do an 'xrefresh'?

   Hmm.. thinking about this and discussing it with a friend of mine
   I am more confused as how this could've been a bug in fvwm or
   more generally a wm problem.

   Could any of your more experienced fvwm user/coders explain how
   this was related to a problem in fvwm and how it was fixed?

   Thanks in advanced!

Patrick ...

---

From: "Charles Hines" <[email-masked]>
Date: Wed, 5 Nov 1997 09:35:21 -0500

>>>>> "Patrick" == Patrick K <[email-masked]> writes:

>> xterm window refresh if you do an 'xrefresh'?

Patrick>    Hmm.. thinking about this and discussing it with a friend of mine
Patrick>    I am more confused as how this could've been a bug in fvwm or
Patrick>    more generally a wm problem.

It was a problem in the way fvwm was handling some X11 events that are
generated to go with this action.

Patrick>    Could any of your more experienced fvwm user/coders explain how
Patrick>    this was related to a problem in fvwm and how it was fixed?

When you resize an xterm smaller width wise, it essentially cuts off
anything that goes off the right edge.  This is central to the problem.

What was happening is that fvwm sees a PropertyNotify event telling of
the new size that the XTerm needs to be when changing fonts like that,
but it happens before the resize actually takes place.  There was some
code added to fvwm2 (at some point before I took over) that wasn't in
fvwm 1.xx that tried to set up the frame at that point, which was too
soon and fvwm essentially was making the XTerm refresh at the smaller
size at which point it changed the font, cutting off any chars that
ended up going off the right edge.  Then the actual event that causes
fvwm to do the resize occured, making the XTerm the correct size for
the new font, but now all the stuff that got cut off was lost.

Hope that makes sense, I'm not quite awake yet this morning...

Chuck

--
*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis Developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

         "Go back to sleep, Chuck.  You're just havin' a nightmare
             -- of course, we ARE still in Hell." (Gary Larson)
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].